#!/usr/bin/env node
    var chalk = require('chalk');
    var async = require('async');
    var success=0;
    var path=require('path');
    var getsubtitleLink=require('subscene_scraper');
    var  dir_Search= require('asyncdirectory');
    var len;
    var args=process.argv;


    var para=args[args.length-1];
    if(para=='.' || para==undefined){para=process.cwd()};
    //first parameter is used to state which directory you want to download subtitles to
    //second parameter adds movie extenstions that are needed to be searched for
    dir_Search.getList(args[args.length-1],["mp4","mkv","avi"],function(movieNameList){
    //  console.log(movieNameList);
      //process.exit();
    len=movieNameList.length;
    if(len<1){
    console.log(chalk.inverse("ERROR DETECTED:"));
    console.log("\n",chalk.bgRed("Error   "),chalk.bgYellow("0")," Movies detected in",para.toString().toUpperCase());
    process.exit(0);
    }
    console.log(chalk.inverse(chalk.bgGreen("Movies Detected"),movieNameList.length));
    console.log(chalk.bgGreen("\nretriving..."));
    async.times(movieNameList.length,function(n,next){
    var movieName=path.basename(movieNameList[n],path.extname(path.basename(movieNameList[n])));
    var moviePath=path.dirname(movieNameList[n]);
    if(moviePath=='.'){moviePath=process.cwd()}

        getsubtitleLink(movieName,"english",moviePath,function(err,fileName,data){

        if(err){

            console.log("\n ",chalk.bgRed("  ERROR: "),"retriving subtitle for movie:",chalk.blue(movieName)," from subscene.com");
            return;
        }

        console.log("\n ",chalk.bgGreen(" SUCCESS:")," subtitle file for",chalk.blue(movieName)," has been Downloaded to "+moviePath);
        success=success+1;
        });
    });
    }) ;

    process.on('exit',function(){
    console.log("\n\n\n",chalk.inverse("      #info:      "),"\n","\n   DOWNLOADED",chalk.blue(success),"OUT OF",chalk.blue(len-1));
    });
